# This test delivers a small test message and looks for the correct qmail status
# code and a log message in syslog.

export TCPREMOTEIP=0.0.0.0

FROM_ADDRESS=test-02.${RANDOM}.${RANDOM}@example.com

cat input.txt | sed -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" > ${TMPDIR}/02-input.txt
echo "${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} -l ${QMAIL_CMDLINE} < ${TMPDIR}/02-input.txt > ${TMPDIR}/02-output.txt"
${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} -l ${QMAIL_CMDLINE} < ${TMPDIR}/02-input.txt > ${TMPDIR}/02-output.txt

output=`grep -E "250 ok [0-9]* qp [0-9]*" ${TMPDIR}/02-output.txt`
if [ ! -z "${output}" ]
then
  echo Sleeping 5 seconds so syslogd can write the log entry.
  sleep 5
  output=`grep "from: ${FROM_ADDRESS}" /var/log/maillog | grep ALLOWED`
  if [ ! -z "${output}" ]
  then
    outcome="success"
  else
    echo Logging failure.  Check syslog.

    outcome="failure"
  fi
else
  echo Delivery failure - tmp/02-output.txt:
  cat ${TMPDIR}/02-output.txt

  outcome="failure"
fi
