# This test looks for a rejection because the incoming IP address' rDNS name
# doesn't resolve.

if [ ! -z "$TESTSD_UNRESOLVABLE_RDNS_IP" ]
then
  export TCPREMOTEIP=$TESTSD_UNRESOLVABLE_RDNS_IP

  FROM_ADDRESS=test-04.${RANDOM}.${RANDOM}@example.com

  cat input.txt | sed -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" > ${TMPDIR}/04-input.txt
  echo "${SENDRECV_PATH} -t 30 -r 421 -- ${SPAMDYKE_PATH} -R ${QMAIL_CMDLINE} < ${TMPDIR}/04-input.txt > ${TMPDIR}/04-output.txt"
  ${SENDRECV_PATH} -t 30 -r 421 -- ${SPAMDYKE_PATH} -R ${QMAIL_CMDLINE} < ${TMPDIR}/04-input.txt > ${TMPDIR}/04-output.txt

  output=`grep -E "421 Refused. Your reverse DNS entry does not resolve." ${TMPDIR}/04-output.txt`
  if [ ! -z "${output}" ]
  then
    outcome="success"
  else
    echo Filter failure - tmp/04-output.txt:
    cat ${TMPDIR}/04-output.txt

    outcome="failure"
  fi
else
  echo TESTSD_UNRESOLVABLE_RDNS_IP is not set.  Test skipped.
  outcome="failure"
fi
