# This test looks for a rejection because the incoming IP address' rDNS name
# contains the IP address and a banned keyword

if [ ! -z "$TESTSD_IP_IN_RDNS_KEYWORD_IP" ]
then
  if [ ! -z "$TESTSD_IP_IN_RDNS_KEYWORD" ]
  then
    export TCPREMOTEIP=$TESTSD_IP_IN_RDNS_KEYWORD_IP
    echo ${TESTSD_IP_IN_RDNS_KEYWORD} > ${TMPDIR}/08-rdns_keywords.txt

    FROM_ADDRESS=test-08.${RANDOM}.${RANDOM}@example.com

    cat input.txt | sed -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" > ${TMPDIR}/08-input.txt
    echo "${SENDRECV_PATH} -t 30 -r 554 -- ${SPAMDYKE_PATH} -k ${TMPDIR}/08-rdns_keywords.txt ${QMAIL_CMDLINE} < ${TMPDIR}/08-input.txt > ${TMPDIR}/08-output.txt"
    ${SENDRECV_PATH} -t 30 -r 554 -- ${SPAMDYKE_PATH} -k ${TMPDIR}/08-rdns_keywords.txt ${QMAIL_CMDLINE} < ${TMPDIR}/08-input.txt > ${TMPDIR}/08-output.txt

    output=`grep -E "554 Refused. Your reverse DNS entry contains your IP address and a banned keyword." ${TMPDIR}/08-output.txt`
    if [ ! -z "${output}" ]
    then
      outcome="success"
    else
      echo Filter failure - tmp/08-output.txt:
      cat ${TMPDIR}/08-output.txt

      outcome="failure"
    fi
  else
    echo TESTSD_IP_IN_RDNS_KEYWORD is not set.  Test skipped.
    outcome="failure"
  fi
else
  echo TESTSD_IP_IN_RDNS_KEYWORD_IP is not set.  Test skipped.
  outcome="failure"
fi
