# This test looks for a rejection because the incoming IP address' rDNS name
# contains the IP address and a banned keyword pattern

if [ ! -z "$TESTSD_IP_IN_RDNS_PATTERN_IP" ]
then
  if [ ! -z "$TESTSD_IP_IN_RDNS_PATTERN" ]
  then
    export TCPREMOTEIP=$TESTSD_IP_IN_RDNS_PATTERN_IP
    echo ${TESTSD_IP_IN_RDNS_PATTERN} > ${TMPDIR}/09-rdns_keyword_pattern.txt

    FROM_ADDRESS=test-09.${RANDOM}.${RANDOM}@example.com

    cat input.txt | sed -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" > ${TMPDIR}/09-input.txt
    echo "${SENDRECV_PATH} -t 30 -r 554 -- ${SPAMDYKE_PATH} -k ${TMPDIR}/09-rdns_keyword_pattern.txt ${QMAIL_CMDLINE} < ${TMPDIR}/09-input.txt > ${TMPDIR}/09-output.txt"
    ${SENDRECV_PATH} -t 30 -r 554 -- ${SPAMDYKE_PATH} -k ${TMPDIR}/09-rdns_keyword_pattern.txt ${QMAIL_CMDLINE} < ${TMPDIR}/09-input.txt > ${TMPDIR}/09-output.txt

    output=`grep -E "554 Refused. Your reverse DNS entry contains your IP address and a banned keyword." ${TMPDIR}/09-output.txt`
    if [ ! -z "${output}" ]
    then
      outcome="success"
    else
      echo Filter failure - tmp/09-output.txt:
      cat ${TMPDIR}/09-output.txt

      outcome="failure"
    fi
  else
    echo TESTSD_IP_IN_RDNS_PATTERN is not set.  Test skipped.
    outcome="failure"
  fi
else
  echo TESTSD_IP_IN_RDNS_PATTERN_IP is not set.  Test skipped.
  outcome="failure"
fi
