# This test delivers a small test message and looks for the correct qmail status
# code.  spamdyke should log the entire SMTP conversation to a file.

export TCPREMOTEIP=0.0.0.0

FROM_ADDRESS=test-13.${RANDOM}.${RANDOM}@example.com

rm -rf ${TMPDIR}/13-logs
mkdir ${TMPDIR}/13-logs

cat input.txt | sed -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" > ${TMPDIR}/13-input.txt
echo "${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} -L ${TMPDIR}/13-logs ${QMAIL_CMDLINE} < ${TMPDIR}/13-input.txt > ${TMPDIR}/13-output.txt"
${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} -L ${TMPDIR}/13-logs ${QMAIL_CMDLINE} < ${TMPDIR}/13-input.txt > ${TMPDIR}/13-output.txt

output=`grep -E "250 ok [0-9]* qp [0-9]*" ${TMPDIR}/13-output.txt`
if [ ! -z "${output}" ]
then
  output=`grep -E "250 ok [0-9]* qp [0-9]*" ${TMPDIR}/13-logs/*`
  if [ ! -z "${output}" ]
  then
    outcome="success"
  else
    echo Logging failure.  ${TMPDIR}/13-logs contains no files or log is incomplete.
    cat ${TMPDIR}/13-logs/*

    outcome="failure"
  fi
else
  echo Filter failure - tmp/13-output.txt:
  cat ${TMPDIR}/13-output.txt

  outcome="failure"
fi
