# This test looks for a rejection when the remote server is not allowed to
# relay.

export TCPREMOTEIP=10.255.128.64

echo "10.64.128.255:allow,RELAYCLIENT=\"\"" > ${TMPDIR}/16-access.txt
echo ":allow" >> ${TMPDIR}/16-access.txt

TO_ADDRESS=test-16.${RANDOM}.${RANDOM}@example.com
FROM_ADDRESS=test-16.${RANDOM}.${RANDOM}@example.com

touch ${TMPDIR}/16-local_domains.txt

cat input.txt | sed -e "s/TARGET_EMAIL/${TO_ADDRESS}/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" > ${TMPDIR}/16-input.txt
echo "${SENDRECV_PATH} -t 30 -r 554 -- ${SPAMDYKE_PATH} --access-file ${TMPDIR}/16-access.txt -d ${TMPDIR}/16-local_domains.txt ${QMAIL_CMDLINE} < ${TMPDIR}/16-input.txt > ${TMPDIR}/16-output.txt"
${SENDRECV_PATH} -t 30 -r 554 -- ${SPAMDYKE_PATH} --access-file ${TMPDIR}/16-access.txt -d ${TMPDIR}/16-local_domains.txt ${QMAIL_CMDLINE} < ${TMPDIR}/16-input.txt > ${TMPDIR}/16-output.txt

output=`grep -E "554 Refused. Sending to remote addresses \(relaying\) is not allowed." ${TMPDIR}/16-output.txt`
if [ ! -z "${output}" ]
then
  outcome="success"
else
  echo Filter failure - tmp/16-output.txt:
  cat ${TMPDIR}/16-output.txt

  outcome="failure"
fi
