# This test looks for a rejection because the incoming rDNS name is blacklisted
# by FQDN.

if [ ! -z "${TESTSD_RDNS_IP}" ]
then
  export TCPREMOTEIP=${TESTSD_RDNS_IP}

  FQDN=`${DNSPTR_PATH} ${TESTSD_RDNS_IP}`
  mkdir -p ${TMPDIR}/24-blacklist.d/`domain2path -d ${FQDN}`
  touch ${TMPDIR}/24-blacklist.d/`domain2path ${FQDN}`

  FROM_ADDRESS=test-24.${RANDOM}.${RANDOM}@example.com

  cat input.txt | sed -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" > ${TMPDIR}/24-input.txt
  echo "${SENDRECV_PATH} -t 30 -r 554 -- ${SPAMDYKE_PATH} -b ${TMPDIR}/24-blacklist.d ${QMAIL_CMDLINE} < ${TMPDIR}/24-input.txt > ${TMPDIR}/24-output.txt"
  ${SENDRECV_PATH} -t 30 -r 554 -- ${SPAMDYKE_PATH} -b ${TMPDIR}/24-blacklist.d ${QMAIL_CMDLINE} < ${TMPDIR}/24-input.txt > ${TMPDIR}/24-output.txt

  output=`grep -E "554 Refused. Your domain name is blacklisted." ${TMPDIR}/24-output.txt`
  if [ ! -z "${output}" ]
  then
    outcome="success"
  else
    echo Filter failure - tmp/24-output.txt:
    cat ${TMPDIR}/24-output.txt

    outcome="failure"
  fi
else
  echo TESTSD_RDNS_IP is not set.  Test skipped.
  outcome="failure"
fi
