# This test looks for a rejection because the recipient email address is
# blacklisted by domain name.

export TCPREMOTEIP=0.0.0.0

FROM_ADDRESS=test-32.${RANDOM}.${RANDOM}@example.com

echo $1 | sed -e "s/[^@]*//" | awk '{ print tolower($1) }' > ${TMPDIR}/32-recipient_blacklist.txt

cat input.txt | sed -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" > ${TMPDIR}/32-input.txt
echo "${SENDRECV_PATH} -t 30 -r 554 -- ${SPAMDYKE_PATH} -S ${TMPDIR}/32-recipient_blacklist.txt ${QMAIL_CMDLINE} < ${TMPDIR}/32-input.txt > ${TMPDIR}/32-output.txt"
${SENDRECV_PATH} -t 30 -r 554 -- ${SPAMDYKE_PATH} -S ${TMPDIR}/32-recipient_blacklist.txt ${QMAIL_CMDLINE} < ${TMPDIR}/32-input.txt > ${TMPDIR}/32-output.txt

output=`grep -E "554 Refused. Mail is not being accepted at this address." ${TMPDIR}/32-output.txt`
if [ ! -z "${output}" ]
then
  outcome="success"
else
  echo Filter failure - tmp/32-output.txt:
  cat ${TMPDIR}/32-output.txt

  outcome="failure"
fi
