# This test checks if spamdyke will graylist domains that are properly setup
# (activated).

export TCPREMOTEIP=0.0.0.0

FROM_ADDRESS=test-34.${RANDOM}.${RANDOM}@example.com

mkdir -p ${TMPDIR}/34-graylist.d/`echo $1 | sed -e "s/[^@]*@//" | awk '{ print tolower($1) }'`

cat input.txt | sed -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" > ${TMPDIR}/34-input.txt
echo "${SENDRECV_PATH} -t 30 -r 421 -- ${SPAMDYKE_PATH} -g ${TMPDIR}/34-graylist.d ${QMAIL_CMDLINE} < ${TMPDIR}/34-input.txt > ${TMPDIR}/34-output.txt"
${SENDRECV_PATH} -t 30 -r 421 -- ${SPAMDYKE_PATH} -g ${TMPDIR}/34-graylist.d ${QMAIL_CMDLINE} < ${TMPDIR}/34-input.txt > ${TMPDIR}/34-output.txt

output=`grep -E "421 Your address has been graylisted. Try again later." ${TMPDIR}/34-output.txt`
if [ ! -z "${output}" ]
then
  outcome="success"
else
  echo OUTPUT IN tmp/34-output.txt:
  cat ${TMPDIR}/34-output.txt

  outcome="failure"
fi
