# This test checks if spamdyke will graylist deliveries when an old graylist
# entry exists but the maximum age has passed.

export TCPREMOTEIP=0.0.0.0

FROM_ADDRESS=test-38.${RANDOM}.${RANDOM}@example.com
CURRENT_TIME=`date "+%s"`

mkdir -p ${TMPDIR}/38-graylist.d/`echo $1 | sed -e "s/[^@]*@//" | awk '{ print tolower($1) }'`/`echo $1 | sed -e "s/@.*//" | awk '{ print tolower($1) }'`
touch -t "`${ADDSECS_PATH} -5000`" ${TMPDIR}/38-graylist.d/`echo $1 | sed -e "s/[^@]*@//" | awk '{ print tolower($1) }'`/`echo $1 | sed -e "s/@.*//" | awk '{ print tolower($1) }'`/${FROM_ADDRESS}

cat input.txt | sed -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" > ${TMPDIR}/38-input.txt
echo "${SENDRECV_PATH} -t 30 -r 421 -- ${SPAMDYKE_PATH} -g ${TMPDIR}/38-graylist.d -M 600 ${QMAIL_CMDLINE} < ${TMPDIR}/38-input.txt > ${TMPDIR}/38-output.txt"
${SENDRECV_PATH} -t 30 -r 421 -- ${SPAMDYKE_PATH} -g ${TMPDIR}/38-graylist.d -M 600 ${QMAIL_CMDLINE} < ${TMPDIR}/38-input.txt > ${TMPDIR}/38-output.txt

output=`grep -E "421 Your address has been graylisted. Try again later." ${TMPDIR}/38-output.txt`
if [ ! -z "${output}" ]
then
  outcome="success"
else
  echo OUTPUT IN tmp/38-output.txt:
  cat ${TMPDIR}/38-output.txt

  outcome="failure"
fi
