# This test checks if spamdyke will skip graylisting for remote senders whose
# IPs are listed in the "graywhitelist" file.

export TCPREMOTEIP=11.22.33.44

echo 11.22.33.44 > ${TMPDIR}/40-graywhitelist_ip.txt

FROM_ADDRESS=test-40.${RANDOM}.${RANDOM}@example.com

mkdir -p ${TMPDIR}/40-graylist.d/`echo $1 | sed -e "s/[^@]*@//" | awk '{ print tolower($1) }'`

cat input.txt | sed -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" > ${TMPDIR}/40-input.txt
echo "${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} -g ${TMPDIR}/40-graylist.d --never-graylist-ip-file ${TMPDIR}/40-graywhitelist_ip.txt ${QMAIL_CMDLINE} < ${TMPDIR}/40-input.txt > ${TMPDIR}/40-output.txt"
${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} -g ${TMPDIR}/40-graylist.d --never-graylist-ip-file ${TMPDIR}/40-graywhitelist_ip.txt ${QMAIL_CMDLINE} < ${TMPDIR}/40-input.txt > ${TMPDIR}/40-output.txt

output=`grep -E "250 ok [0-9]* qp [0-9]*" ${TMPDIR}/40-output.txt`
if [ ! -z "${output}" ]
then
  outcome="success"
else
  echo OUTPUT IN tmp/40-output.txt:
  cat ${TMPDIR}/40-output.txt

  outcome="failure"
fi
