# This test checks if spamdyke will skip graylisting for remote senders whose
# rDNS names are listed in the "graywhitelist" file.

if [ ! -z "${TESTSD_RDNS_IP}" ]
then
  export TCPREMOTEIP=${TESTSD_RDNS_IP}

  ${DNSPTR_PATH} ${TESTSD_RDNS_IP} > ${TMPDIR}/41-graywhitelist_rdns.txt

  FROM_ADDRESS=test-41.${RANDOM}.${RANDOM}@example.com

  mkdir -p ${TMPDIR}/41-graylist.d/`echo $1 | sed -e "s/[^@]*@//" | awk '{ print tolower($1) }'`

  cat input.txt | sed -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" > ${TMPDIR}/41-input.txt
  echo "${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} -g ${TMPDIR}/41-graylist.d --never-graylist-rdns-file ${TMPDIR}/41-graywhitelist_rdns.txt ${QMAIL_CMDLINE} < ${TMPDIR}/41-input.txt > ${TMPDIR}/41-output.txt"
  ${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} -g ${TMPDIR}/41-graylist.d --never-graylist-rdns-file ${TMPDIR}/41-graywhitelist_rdns.txt ${QMAIL_CMDLINE} < ${TMPDIR}/41-input.txt > ${TMPDIR}/41-output.txt

  output=`grep -E "250 ok [0-9]* qp [0-9]*" ${TMPDIR}/41-output.txt`
  if [ ! -z "${output}" ]
  then
    outcome="success"
  else
    echo OUTPUT IN tmp/41-output.txt:
    cat ${TMPDIR}/41-output.txt

    outcome="failure"
  fi
else
  echo TESTSD_RDNS_IP is not set.  Test skipped.
  outcome="failure"
fi
