# This test checks if spamdyke will skip graylisting for domains that have
# proper graylist folders setup (activated) when the "no-graylist" flag is
# used and the domains don't have entries in a "grayblacklist" file.

export TCPREMOTEIP=0.0.0.0

FROM_ADDRESS=test-42.${RANDOM}.${RANDOM}@example.com

mkdir -p ${TMPDIR}/42-graylist.d/`echo $1 | sed -e "s/[^@]*@//" | awk '{ print tolower($1) }'`

cat input.txt | sed -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" > ${TMPDIR}/42-input.txt
echo "${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} -G ${TMPDIR}/42-graylist.d ${QMAIL_CMDLINE} < ${TMPDIR}/42-input.txt > ${TMPDIR}/42-output.txt"
${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} -G ${TMPDIR}/42-graylist.d ${QMAIL_CMDLINE} < ${TMPDIR}/42-input.txt > ${TMPDIR}/42-output.txt

output=`grep -E "250 ok [0-9]* qp [0-9]*" ${TMPDIR}/42-output.txt`
if [ ! -z "${output}" ]
then
  outcome="success"
else
  echo OUTPUT IN tmp/42-output.txt:
  cat ${TMPDIR}/42-output.txt

  outcome="failure"
fi
