# This test checks if spamdyke will graylist domains that have proper graylist
# folders setup (activated) when the "no-graylist" flag is used and the remote
# IP address is listed in a "grayblacklist" file.

export TCPREMOTEIP=11.22.33.44

echo 11.22.33.44 > ${TMPDIR}/43-grayblacklist_ip.txt

FROM_ADDRESS=test-43.${RANDOM}.${RANDOM}@example.com

mkdir -p ${TMPDIR}/43-graylist.d/`echo $1 | sed -e "s/[^@]*@//" | awk '{ print tolower($1) }'`

cat input.txt | sed -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" > ${TMPDIR}/43-input.txt
echo "${SENDRECV_PATH} -t 30 -r 421 -- ${SPAMDYKE_PATH} -G ${TMPDIR}/43-graylist.d --always-graylist-ip-file ${TMPDIR}/43-grayblacklist_ip.txt ${QMAIL_CMDLINE} < ${TMPDIR}/43-input.txt > ${TMPDIR}/43-output.txt"
${SENDRECV_PATH} -t 30 -r 421 -- ${SPAMDYKE_PATH} -G ${TMPDIR}/43-graylist.d --always-graylist-ip-file ${TMPDIR}/43-grayblacklist_ip.txt ${QMAIL_CMDLINE} < ${TMPDIR}/43-input.txt > ${TMPDIR}/43-output.txt

output=`grep -E "421 Your address has been graylisted. Try again later." ${TMPDIR}/43-output.txt`
if [ ! -z "${output}" ]
then
  outcome="success"
else
  echo OUTPUT IN tmp/43-output.txt:
  cat ${TMPDIR}/43-output.txt

  outcome="failure"
fi
