# This test checks if spamdyke will graylist domains that have proper graylist
# folders setup (activated) when the "no-graylist" flag is used and the remote
# server's rDNS name is listed in a "grayblacklist" file.

if [ ! -z "${TESTSD_RDNS_IP}" ]
then
  export TCPREMOTEIP=${TESTSD_RDNS_IP}

  ${DNSPTR_PATH} ${TESTSD_RDNS_IP} > ${TMPDIR}/44-grayblacklist_rdns.txt

  FROM_ADDRESS=test-44.${RANDOM}.${RANDOM}@example.com

  mkdir -p ${TMPDIR}/44-graylist.d/`echo $1 | sed -e "s/[^@]*@//" | awk '{ print tolower($1) }'`

  cat input.txt | sed -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" > ${TMPDIR}/44-input.txt
  echo "${SENDRECV_PATH} -t 30 -r 421 -- ${SPAMDYKE_PATH} -G ${TMPDIR}/44-graylist.d --always-graylist-rdns-file ${TMPDIR}/44-grayblacklist_rdns.txt ${QMAIL_CMDLINE} < ${TMPDIR}/44-input.txt > ${TMPDIR}/44-output.txt"
  ${SENDRECV_PATH} -t 30 -r 421 -- ${SPAMDYKE_PATH} -G ${TMPDIR}/44-graylist.d --always-graylist-rdns-file ${TMPDIR}/44-grayblacklist_rdns.txt ${QMAIL_CMDLINE} < ${TMPDIR}/44-input.txt > ${TMPDIR}/44-output.txt

  output=`grep -E "421 Your address has been graylisted. Try again later." ${TMPDIR}/44-output.txt`
  if [ ! -z "${output}" ]
  then
    outcome="success"
  else
    echo OUTPUT IN tmp/44-output.txt:
    cat ${TMPDIR}/44-output.txt

    outcome="failure"
  fi
else
  echo TESTSD_RDNS_IP is not set.  Test skipped.
  outcome="failure"
fi
