# This test authenticates using SMTP AUTH CRAM-MD5 and delivers a small message.
# The challenge should contain the local hostname.

if [ "${UID}" == "0" ]
then
  export TCPREMOTEIP=0.0.0.0

  FROM_ADDRESS=test-51.${RANDOM}.${RANDOM}@example.com

  cat input.txt | sed -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" > ${TMPDIR}/51-input.txt
  echo "${SENDRECV_PATH} -t 30 -r 221 -u $2 -p $3 -- ${SPAMDYKE_PATH} -r --smtp-auth-command-encryption \"${AUTH_CMDLINE}\" --hostname `hostname` ${QMAIL_CMDLINE} < ${TMPDIR}/51-input.txt > ${TMPDIR}/51-output.txt"
  ${SENDRECV_PATH} -t 30 -r 221 -u $2 -p $3 -- ${SPAMDYKE_PATH} -r --smtp-auth-command-encryption "${AUTH_CMDLINE}" --hostname `hostname` ${QMAIL_CMDLINE} < ${TMPDIR}/51-input.txt > ${TMPDIR}/51-output.txt

  output=`grep -E "250 ok [0-9]* qp [0-9]*" ${TMPDIR}/51-output.txt`
  if [ ! -z "${output}" ]
  then
    outcome="success"
  else
    echo Delivery failure - tmp/51-output.txt:
    cat ${TMPDIR}/51-output.txt

    outcome="failure"
  fi
else
  echo You must be root to check passwords.  Test skipped.
  outcome="failure"
fi
