# This test authenticates using SMTP AUTH LOGIN and delivers a small message.
# It checks to make sure the rDNS blacklist filter is bypassed.

if [ "${UID}" == "0" ]
then
  if [ ! -z "${TESTSD_RDNS_IP}" ]
  then
    export TCPREMOTEIP=${TESTSD_RDNS_IP}

    FQDN=`${DNSPTR_PATH} ${TESTSD_RDNS_IP}`
    mkdir -p ${TMPDIR}/59-blacklist.d/`domain2path -d ${FQDN}`
    touch ${TMPDIR}/59-blacklist.d/`domain2path ${FQDN}`

    FROM_ADDRESS=test-59.${RANDOM}.${RANDOM}@example.com
    AUTH_USERNAME=`${SMTPAUTH_LOGIN_PATH} $2 $3 | tail -3 | head -1 | awk '{ print $2 }'`
    AUTH_PASSWORD=`${SMTPAUTH_LOGIN_PATH} $2 $3 | tail -1 | awk '{ print $2 }'`

    cat input.txt | sed -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" -e "s/AUTH_USERNAME/${AUTH_USERNAME}/g" -e "s/AUTH_PASSWORD/${AUTH_PASSWORD}/g" > ${TMPDIR}/59-input.txt
    echo "${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} -b ${TMPDIR}/59-blacklist.d --smtp-auth-command \"${AUTH_CMDLINE}\" ${QMAIL_CMDLINE} < ${TMPDIR}/59-input.txt > ${TMPDIR}/59-output.txt"
    ${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} -b ${TMPDIR}/59-blacklist.d --smtp-auth-command "${AUTH_CMDLINE}" ${QMAIL_CMDLINE} < ${TMPDIR}/59-input.txt > ${TMPDIR}/59-output.txt

    output=`grep -E "250 ok [0-9]* qp [0-9]*" ${TMPDIR}/59-output.txt`
    if [ ! -z "${output}" ]
    then
      outcome="success"
    else
      echo Delivery failure - tmp/59-output.txt:
      cat ${TMPDIR}/59-output.txt

      outcome="failure"
    fi
  else
    echo TESTSD_RDNS_IP is not set.  Test skipped.
    outcome="failure"
  fi
else
  echo You must be root to check passwords.  Test skipped.
  outcome="failure"
fi
