# This test authenticates using SMTP AUTH LOGIN and delivers a small message.
# It checks to make sure the access filter is bypassed.

if [ "${UID}" == "0" ]
then
  export TCPREMOTEIP=10.64.128.255

  echo "10.64.128.255:deny" > ${TMPDIR}/63-access.txt
  echo ":allow" >> ${TMPDIR}/63-access.txt

  touch ${TMPDIR}/63-local_domains.txt

  FROM_ADDRESS=test-63.${RANDOM}.${RANDOM}@example.com
  AUTH_USERNAME=`${SMTPAUTH_LOGIN_PATH} $2 $3 | tail -3 | head -1 | awk '{ print $2 }'`
  AUTH_PASSWORD=`${SMTPAUTH_LOGIN_PATH} $2 $3 | tail -1 | awk '{ print $2 }'`

  cat input.txt | sed -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" -e "s/AUTH_USERNAME/${AUTH_USERNAME}/g" -e "s/AUTH_PASSWORD/${AUTH_PASSWORD}/g" > ${TMPDIR}/63-input.txt
  echo "${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} --access-file ${TMPDIR}/63-access.txt -d ${TMPDIR}/63-local_domains.txt --smtp-auth-command \"${AUTH_CMDLINE}\" ${QMAIL_CMDLINE} < ${TMPDIR}/63-input.txt > ${TMPDIR}/63-output.txt"
  ${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} --access-file ${TMPDIR}/63-access.txt -d ${TMPDIR}/63-local_domains.txt --smtp-auth-command "${AUTH_CMDLINE}" ${QMAIL_CMDLINE} < ${TMPDIR}/63-input.txt > ${TMPDIR}/63-output.txt

  output=`grep -E "250 ok [0-9]* qp [0-9]*" ${TMPDIR}/63-output.txt`
  if [ ! -z "${output}" ]
  then
    outcome="success"
  else
    echo Delivery failure - tmp/63-output.txt:
    cat ${TMPDIR}/63-output.txt

    outcome="failure"
  fi
else
  echo You must be root to check passwords.  Test skipped.
  outcome="failure"
fi
