# This test authenticates using SMTP AUTH LOGIN and delivers a small message.
# It checks to make sure the relaying filter is bypassed.

if [ "${UID}" == "0" ]
then
  export TCPREMOTEIP=0.0.0.0

  echo ":allow,RELAYCLIENT=\"\"" > ${TMPDIR}/66-access.txt

  TO_ADDRESS=test-66.${RANDOM}.${RANDOM}@example.com
  FROM_ADDRESS=test-66.${RANDOM}.${RANDOM}@example.com
  AUTH_USERNAME=`${SMTPAUTH_LOGIN_PATH} $2 $3 | tail -3 | head -1 | awk '{ print $2 }'`
  AUTH_PASSWORD=`${SMTPAUTH_LOGIN_PATH} $2 $3 | tail -1 | awk '{ print $2 }'`

  touch ${TMPDIR}/66-local_domains.txt

  cat input.txt | sed -e "s/TARGET_EMAIL/${TO_ADDRESS}/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" -e "s/AUTH_USERNAME/${AUTH_USERNAME}/g" -e "s/AUTH_PASSWORD/${AUTH_PASSWORD}/g" > ${TMPDIR}/66-input.txt
  echo "${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} --access-file ${TMPDIR}/66-access.txt --smtp-auth-command \"${AUTH_CMDLINE}\" ${QMAIL_CMDLINE} < ${TMPDIR}/66-input.txt > ${TMPDIR}/66-output.txt"
  ${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} --access-file ${TMPDIR}/66-access.txt -d ${TMPDIR}/66-local_domains.txt --smtp-auth-command "${AUTH_CMDLINE}" ${QMAIL_CMDLINE} < ${TMPDIR}/66-input.txt > ${TMPDIR}/66-output.txt

  output=`grep -E "250 ok [0-9]* qp [0-9]*" ${TMPDIR}/66-output.txt`
  if [ ! -z "${output}" ]
  then
    outcome="success"
  else
    echo Delivery failure - tmp/66-output.txt:
    cat ${TMPDIR}/66-output.txt

    outcome="failure"
  fi
else
  echo You must be root to check passwords.  Test skipped.
  outcome="failure"
fi
