# This test authenticates using SMTP AUTH CRAM-MD5 and delivers a small message.

if [ "${UID}" == "0" ]
then
  export TCPREMOTEIP=0.0.0.0

  FROM_ADDRESS=test-70.${RANDOM}.${RANDOM}@example.com

  cat input.txt | sed -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" > ${TMPDIR}/70-input.txt
  echo "${SENDRECV_PATH} -t 30 -r 421 -u $1 -p $2 -- ${SPAMDYKE_PATH} -r --smtp-auth-command \"${AUTH_CMDLINE}\" ${QMAIL_CMDLINE} < ${TMPDIR}/70-input.txt > ${TMPDIR}/70-output.txt"
  ${SENDRECV_PATH} -t 30 -r 421 -u $1 -p $2 -- ${SPAMDYKE_PATH} -r --smtp-auth-command "${AUTH_CMDLINE}" ${QMAIL_CMDLINE} < ${TMPDIR}/70-input.txt > ${TMPDIR}/70-output.txt

  output=`grep -E "421 Refused. You have no reverse DNS entry." ${TMPDIR}/70-output.txt`
  if [ ! -z "${output}" ]
  then
    output=`grep -E "504 Refused. Unknown authentication method." ${TMPDIR}/70-output.txt`
    if [ ! -z "${output}" ]
    then
      outcome="success"
    else
      output=`grep -E "504 auth type unimplemented \(\#5.5.1\)" ${TMPDIR}/70-output.txt`
      if [ ! -z "${output}" ]
      then
        outcome="success"
      else
        echo Delivery failure - tmp/70-output.txt:
        cat ${TMPDIR}/70-output.txt

        outcome="failure"
      fi
    fi
  else
    echo Delivery failure - tmp/70-output.txt:
    cat ${TMPDIR}/70-output.txt

    outcome="failure"
  fi
else
  echo You must be root to check passwords.  Test skipped.
  outcome="failure"
fi
