# This test authenticates using SMTP AUTH CRAM-MD5 and delivers a small message.

if [ "${UID}" == "0" ]
then
  export TCPREMOTEIP=0.0.0.0

  FROM_ADDRESS=test-71.${RANDOM}.${RANDOM}@example.com
  UNQUOTED_AUTH_CMDLINE=`echo ${AUTH_CMDLINE} | sed -e "s/ /,/g"`
  AUTH_USERNAME=`${SMTPAUTH_LOGIN_PATH} $2 $3 | tail -3 | head -1 | awk '{ print $2 }'`
  AUTH_PASSWORD=`${SMTPAUTH_LOGIN_PATH} $2 $3 | tail -1 | awk '{ print $2 }'`

  cat input.txt | sed -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" -e "s/AUTH_USERNAME/${AUTH_USERNAME}/g" -e "s/AUTH_PASSWORD/${AUTH_PASSWORD}/g" > ${TMPDIR}/71-input.txt
  echo "${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} -r --smtp-auth-command-encryption ${UNQUOTED_AUTH_CMDLINE} ${QMAIL_CMDLINE} < ${TMPDIR}/71-input.txt > ${TMPDIR}/71-output.txt"
  ${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} -r --smtp-auth-command-encryption ${UNQUOTED_AUTH_CMDLINE} ${QMAIL_CMDLINE} < ${TMPDIR}/71-input.txt > ${TMPDIR}/71-output.txt

  output=`grep -E "250 ok [0-9]* qp [0-9]*" ${TMPDIR}/71-output.txt`
  if [ ! -z "${output}" ]
  then
    outcome="success"
  else
    echo Delivery failure - tmp/71-output.txt:
    cat ${TMPDIR}/71-output.txt

    outcome="failure"
  fi
else
  echo You must be root to check passwords.  Test skipped.
  outcome="failure"
fi
